.visible {
    display: block !important;
}

.modal-overlay {
    display: none;
    position: fixed;
    z-index: 50;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.5);
}

.modal-content {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.contact-form {
    height: 500px;
    width: 600px;
    background-color: white;
}

.contact-form--header {
    background-color: var(--main-color);
    color: var(--font-color);
    padding: 10px;
    margin-bottom: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.contact-form--header h2 {
    margin: 0;
}

.contact-form--close {
    font-size: 28px;
    cursor: pointer;
}

.contact-form--content {
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    height: 300px;
    margin: 20px;
}

.contact-form--content input, textarea {
    box-sizing: border-box;
    min-height: 30px;
    width: 100%;
    margin-top: 10px;
    margin-bottom: 10px;
    max-width: 100%;
    border: 0;
    background-color: #f3f3f3;
    border-bottom: 1px dashed grey;
}

.contact-form--content textarea {
    min-height: 150px;
    max-height: 150px;
}

.contact-form--buttons {
    display: flex;
    justify-content: center;
    margin-top: 30px;
    gap: 8px;
}

.contact-form--buttons button {
    padding: 10px 15px;
    border: 0;
    cursor: pointer;
    border-radius: 15px;
}

.contact-form--buttons .send-btn {
    background-color: var(--main-color);
    color: var(--font-color);
}
